# FoundationClasses
TKernel
Units

# Units_StringsSequence Class Reference

`#include <Units_StringsSequence.hxx>`

Inheritance diagram for Units_StringsSequence:

[legend]

## Public Member Functions

| Units_StringsSequence ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(TCollection_HAsciiString)&anItem)
Standard_EXPORT void | Append (const Handle(Units_StringsSequence)&aSequence)
Standard_EXPORT void | Prepend (const Handle(TCollection_HAsciiString)&anItem)
Standard_EXPORT void | Prepend (const Handle(Units_StringsSequence)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TCollection_HAsciiString)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Units_StringsSequence)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TCollection_HAsciiString)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Units_StringsSequence)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Units_StringsSequence | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(TCollection_HAsciiString)&anItem)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_TCollection_HAsciiString & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Units_StrgSequence & | Sequence () const
Units_StrgSequence & | ChangeSequence ()
Standard_EXPORT Handle_Units_StringsSequence | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Units_StrgSequence | mySequence

## Constructor & Destructor Documentation

Units_StringsSequence::Units_StringsSequence | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Units_StringsSequence::Append | ( | const Handle(Units_StringsSequence)& | aSequence | ) |

Standard_EXPORT void Units_StringsSequence::Append | ( | const Handle(TCollection_HAsciiString)& | anItem | ) |

Units_StrgSequence& Units_StringsSequence::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_TCollection_HAsciiString& Units_StringsSequence::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Units_StringsSequence::Clear | ( |  | ) |

Standard_EXPORT void Units_StringsSequence::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Units_StringsSequence::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Units_StringsSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Units_StringsSequence)& | aSequence
| ) |

Standard_EXPORT void Units_StringsSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TCollection_HAsciiString)& | anItem
| ) |

Standard_EXPORT void Units_StringsSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Units_StringsSequence)& | aSequence
| ) |

Standard_EXPORT void Units_StringsSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TCollection_HAsciiString)& | anItem
| ) |

Standard_Boolean Units_StringsSequence::IsEmpty | ( |  | ) | const

Standard_Integer Units_StringsSequence::Length | ( |  | ) | const

Standard_EXPORT void Units_StringsSequence::Prepend | ( | const Handle(Units_StringsSequence)& | aSequence | ) |

Standard_EXPORT void Units_StringsSequence::Prepend | ( | const Handle(TCollection_HAsciiString)& | anItem | ) |

Standard_EXPORT void Units_StringsSequence::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Units_StringsSequence::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Units_StringsSequence::Reverse | ( |  | ) |

const Units_StrgSequence& Units_StringsSequence::Sequence | ( |  | ) | const

Standard_EXPORT void Units_StringsSequence::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(TCollection_HAsciiString)& | anItem
| ) |

Standard_EXPORT Handle_Units_StringsSequence Units_StringsSequence::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Units_StringsSequence Units_StringsSequence::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& Units_StringsSequence::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Units_StrgSequence Units_StringsSequence::mySequence `[private]`

The documentation for this class was generated from the following file:

- Units_StringsSequence.hxx